Subject: bug#23430: 25.0.93; iter-defun does not support special form save-current-buffer

From: Michael Heerdegen <[email-masked]>
Date: Sat, 07 May 2016 01:25:44 +0200

Dmitry Gutov <[email-masked]> writes:

> So sum up, maybe this bug can be closed, but I'd like to see Daniel's
> opinion. Supporting with-current-buffer might turn out to be more
> essential in other cases.

FWIW it's not crystal clear to me what the semantics of a supported
`with-current-buffer' would be.  In particular: would `iter-yield' "jump
out" of the `with-current-buffer' and restore the previous buffer, and
would a restart of the generator change the current buffer again?

Regards,

Michael.